<?php 

function slides_get_attr( $value, $attr_name, $id){

	$name = '';
	if ( is_numeric( $id ) ) {
		$preffix_name = 'slides';
		$name = $preffix_name."[$id][$attr_name]";
	}

	return compact( 'name' , 'value');

}

function slides_images ( $slides = 1 ){

	if ( is_numeric( $slides ) )
		$slides = array( 'default' => array( 
									 'attachment' => '',
									 'url' => '#'
									 )
				  );

	if ( is_array( $slides ) ):
		foreach ($slides as $id => $attr):
			extract( $attr );
			$get_attr_at = slides_get_attr ( $attachment,'attachment', $id);
			$get_attr_url = slides_get_attr ( $url, 'url',$id );

	?>
			<div class="slide form_open" style="position:relative" <?php echo is_numeric($id)?"id = '$id' ":''; ?> >
				<input type="hidden" class="slide_attachment" name='<?php echo $get_attr_at['name']; ?>' value="<?php echo $get_attr_at['value']; ?>" />
				<div class="slide_meta">
					<table class="ssp widefat">
						<tbody>
							<tr>
								<td class="slide_order">
									<span class="circle" <?php echo is_numeric($id)?" data-id = '$id' ":''; ?> > <?php echo is_numeric($id)?$id:''; ?></span>
								</td>

								<td class="slide_label">
									<strong>
										<?php 

											if ( empty( $attachment ) ):

										 ?>
										<a class="icon" ></a>
										<?php 
											else:
												echo "<a class='icon'>".wp_get_attachment_image( $attachment, array(32,32), true, array ( 'data-id' => $attachment, 'class' => 'icon' ) ).'</a>' ;
											endif;
										?>
									</strong>
									<div class="row_options">
										<span>
											<a class="edit_slide" data-id="<?php echo is_numeric($id)?$id:''; ?>">
												<?php _e( 'Edit Slide', 'BillyDroid' ); ?>
											</a>
										</span> |
										<span>
											<a class="delete_slide" data-id="<?php echo is_numeric($id)?$id:''; ?>">
												<?php _e( 'Delete Slide', 'BillyDroid' ); ?>
											</a>
										</span>
									</div>
								</td>
								<td class="field_type">
									<?php _e( 'Image', 'BillyDroid' ); ?>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
				<div class="slide_form_mask" style="display: <?php echo is_numeric($id)?'none':'block'; ?>">
					<div class="slide_form">
						<table class="ssp_input widefat ssp_slide_form_table">
							<tbody>
								<tr class="slide_url"  data-id="">
									<td class="label">
										<label>
											<?php _e( 'Slide URL', 'BillyDroid' ); ?>
										</label>
									</td>
									<td>
										<input type="text" value="<?php echo $get_attr_url['value']; ?>" name="<?php echo $get_attr_url['name'] ?>" >
										
									</td>
								</tr>
								<tr class="slide_image" data-id="">
									<td class="label">
										<label>
											<span class="required">*</span>
											<?php _e( 'Slide Image', 'BillyDroid' ); ?>
										</label>
										<p class="description">
											<?php _e( 'Make sure all the images in the slider are equally sized.', 'BillyDroid' ); ?>
										</p>
									</td>
									<td>
										<input readonly class='slide_image_input' type='text' placeholder="Click on Add Image button"
											   value="<?php echo is_numeric($id)?wp_get_attachment_thumb_url( $attachment ):''; ?>" />

										<a class="ssp-button grey add_image" data-id="<?php echo is_numeric($id)?"$id":''; ?>">
											<?php _e( 'Add Image', 'BillyDroid' ) ?>
										</a>

										<div class="slide_image_preview">
											<?php 
												if (empty($attachment)):
											 ?>
											<img src="" class="img_thumb" />
											<?php 
												else:
													echo wp_get_attachment_image( $attachment, 'thumbnail', false, array( 'class' => 'img_thumb') );
												endif;
											 ?>
										</div>
									</td>
								</tr>
								<tr class="slide_edit_close">
									<td class="label"></td>
									<td>
										<a data-id="<?php echo is_numeric($id)?"$id":''; ?>" class="ssp-button edit_slide grey" style="width: 10%">
											<?php _e( 'Close', 'BillyDroid' ); ?>
										</a>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
	<?php
		endforeach;
	endif;
}
?>
<div class="slides">
	<?php 
		$slides = get_theme_settings( 'slides' );
		$slides_number= empty ($slides)?0:count($slides);
		if ($slides_number == 0):
	?>
	<div class="no_slides_message" >
		No slides. Click the <strong>+ Add Slide</strong> to create your first slide.
	</div>
	<?php
		else:
			$slides = array_combine( range( 1, count( $slides ) ), array_values( $slides ) );
			slides_images ( $slides );
		endif;

	?>
</div>
<div id="new_slide_template" style="display: none">
	<?php slides_images(); ?>
</div>
<div class="table_footer">
	<div class="order_message">
		<?php _e( 'Drag and drop to reorder', 'BillyDroid' ); ?>
	</div>
	<a href="javascript:;" id="add_slide_button" class="ssp-button">
		<?php _e( '+ Add Slide', 'BillyDroid' ); ?>
	</a>
</div>
<input type="hidden" value="<?php echo $slides_number; ?>" id="next_slide_id" />